package sun.tracing;

import com.sun.tracing.Provider;
import com.sun.tracing.ProbeName;
import java.lang.reflect.Method;
import java.io.PrintStream;

class PrintStreamProvider extends ProviderSkeleton
{
    private PrintStream stream;
    private String providerName;
    
    @Override
    protected ProbeSkeleton createProbe(Method method) {
        return new PrintStreamProbe(this, ProviderSkeleton.getAnnotationString(method, ProbeName.class, method.getName()), method.getParameterTypes());
    }
    
    PrintStreamProvider(Class<? extends Provider> clazz, PrintStream stream) {
        super(clazz);
        this.stream = stream;
        this.providerName = this.getProviderName();
    }
    
    PrintStream getStream() {
        return this.stream;
    }
    
    String getName() {
        return this.providerName;
    }
}
